EngineServiceAddressingLocator
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.executor.stubs.service
Class EngineServiceAddressingLocator

    java.lang.Object
      org.apache.axis.client.Service
          org.gcube.vremanagement.executor.stubs.service.EngineServiceLocator
              org.gcube.vremanagement.executor.stubs.service.EngineServiceAddressingLocator

All Implemented Interfaces:
  java.io.Serializable, javax.naming.Referenceable, javax.xml.rpc.Service, EngineService, EngineServiceAddressing

    public class EngineServiceAddressingLocator

extends EngineServiceLocator
implements EngineServiceAddressing

See Also:
  Serialized Form

Constructor Summary
`EngineServiceAddressingLocator()`

Method Summary
`EnginePortType` | `getEnginePortTypePort(org.apache.axis.message.addressing.EndpointReferenceType reference)`

Methods inherited from class org.gcube.vremanagement.executor.stubs.service.EngineServiceLocator
`getEnginePortTypePort, getEnginePortTypePort, getEnginePortTypePortAddress, getEnginePortTypePortWSDDServiceName, getPort, getPort, getPorts, getServiceName, setEndpointAddress, setEndpointAddress, setEnginePortTypePortEndpointAddress, setEnginePortTypePortWSDDServiceName`

Methods inherited from class org.apache.axis.client.Service
`clearCall, createCall, createCall, createCall, createCall, getCacheWSDL, getCall, getCalls, getEngine, getHandlerRegistry, getMaintainSession, getPort, getReference, getTypeMappingRegistry, getWSDLDocumentLocation, getWSDLParser, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gcube.vremanagement.executor.stubs.service.EngineService
`getEnginePortTypePort, getEnginePortTypePort, getEnginePortTypePortAddress`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getPort, getPort, getPorts, getServiceName, getTypeMappingRegistry, getWSDLDocumentLocation`

Constructor Detail

### EngineServiceAddressingLocator

    public EngineServiceAddressingLocator()

Method Detail

### getEnginePortTypePort

    public EnginePortType getEnginePortTypePort(org.apache.axis.message.addressing.EndpointReferenceType reference)
                                         throws javax.xml.rpc.ServiceException

  Specified by:
    `getEnginePortTypePort` in interface `EngineServiceAddressing`
  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD